package gregapi.data;

import net.minecraft.util.EnumChatFormatting;
import gregapi.lang.LanguageHandler;

/**
 * @author Gregorius Techneticies
 * 
 * Contains common translatable Strings.
 */
public class LH {
	public static final String
	  EFFICIENCY = "gt.lang.efficiency"
	, RECIPE = "gt.lang.recipe"
	, RECIPES = "gt.lang.recipes"
	, ENERGY_CONTAINED = "gt.lang.energy.contained"
	, ENERGY_CAPACITY = "gt.lang.energy.capacity"
	, ENERGY_OUTPUT = "gt.lang.energy.output"
	, ENERGY_INPUT = "gt.lang.energy.input"
	, FACE_BOTTOM = "gt.lang.face.bottom"
	, FACE_TOP = "gt.lang.face.top"
	, FACE_LEFT = "gt.lang.face.left"
	, FACE_FRONT = "gt.lang.face.front"
	, FACE_RIGHT = "gt.lang.face.right"
	, FACE_BACK = "gt.lang.face.back"
	, FACE_ANYBUT_BOTTOM = "gt.lang.face.any.but.bottom"
	, FACE_ANYBUT_TOP = "gt.lang.face.any.but.top"
	, FACE_ANYBUT_LEFT = "gt.lang.face.any.but.left"
	, FACE_ANYBUT_FRONT = "gt.lang.face.any.but.front"
	, FACE_ANYBUT_RIGHT = "gt.lang.face.any.but.right"
	, FACE_ANYBUT_BACK = "gt.lang.face.any.but.back"
	, REQUIREMENT_AIR_IN_FRONT = "gt.lang.requirement.air.front"
	, REQUIREMENT_EMPTY_ASHES = "gt.lang.requirement.empty.ashes"
	, REQUIREMENT_IGNITE_FIRE = "gt.lang.requirement.ignite.fire"
	, NO_GUI_CLICK_TO_INVENTORY = "gt.lang.nogui.rightclick.inventory"
	, TOOL_TO_HARVEST = "gt.lang.tool.to.harvest"
	, HAZARD_FIRE = "gt.lang.hazard.fire"
	;
	
	public static final void add(String aKey, String aEnglish) {LanguageHandler.add(aKey, aEnglish);}
	public static final String get(String aKey) {return LanguageHandler.translate(aKey);}
	
	static {
		add(EFFICIENCY						, "Efficiency");
		add(RECIPE							, "Recipe");
		add(RECIPES							, "Recipes");
		add(ENERGY_CONTAINED				, "Stored Energy");
		add(ENERGY_CAPACITY					, "Capacity");
		add(ENERGY_OUTPUT					, "Energy OUT");
		add(ENERGY_INPUT					, "Energy IN");
		add(FACE_BOTTOM						, "Bottom");
		add(FACE_TOP						, "Top");
		add(FACE_LEFT						, "Left");
		add(FACE_FRONT						, "Front");
		add(FACE_RIGHT						, "Right");
		add(FACE_BACK						, "Back");
		add(FACE_ANYBUT_BOTTOM				, "Any but Bottom");
		add(FACE_ANYBUT_TOP					, "Any but Top");
		add(FACE_ANYBUT_LEFT				, "Any but Left");
		add(FACE_ANYBUT_FRONT				, "Any but Front");
		add(FACE_ANYBUT_RIGHT				, "Any but Right");
		add(FACE_ANYBUT_BACK				, "Any but Back");
		add(REQUIREMENT_AIR_IN_FRONT		, "Requires Air in front to work!");
		add(REQUIREMENT_EMPTY_ASHES			, "Requires Ashes to be extracted regularly!");
		add(REQUIREMENT_IGNITE_FIRE			, "Requires ignition by Flint and Tinder or similar!");
		add(NO_GUI_CLICK_TO_INVENTORY		, "No GUI, Click to insert/extract Items!");
		add(TOOL_TO_HARVEST					, "Tool to Harvest");
		add(HAZARD_FIRE						, "Can put Blocks around it on Fire!");
	}
	
	public static class Chat {
		public static final String
		  BLACK = EnumChatFormatting.BLACK.toString()
		, DBLUE = EnumChatFormatting.DARK_BLUE.toString()
		, DGREEN = EnumChatFormatting.DARK_GREEN.toString()
		, DCYAN = EnumChatFormatting.DARK_AQUA.toString()
		, DRED = EnumChatFormatting.DARK_RED.toString()
		, PURPLE = EnumChatFormatting.DARK_PURPLE.toString()
		, ORANGE = EnumChatFormatting.GOLD.toString()
		, GRAY = EnumChatFormatting.GRAY.toString()
		, DGRAY = EnumChatFormatting.DARK_GRAY.toString()
		, BLUE = EnumChatFormatting.BLUE.toString()
		, GREEN = EnumChatFormatting.GREEN.toString()
		, CYAN = EnumChatFormatting.AQUA.toString()
		, RED = EnumChatFormatting.RED.toString()
		, PINK = EnumChatFormatting.LIGHT_PURPLE.toString()
		, YELLOW = EnumChatFormatting.YELLOW.toString()
		, WHITE = EnumChatFormatting.WHITE.toString()
		, OBFUSCATED = EnumChatFormatting.OBFUSCATED.toString()
		, BOLD = EnumChatFormatting.BOLD.toString()
		, STRIKETHROUGH = EnumChatFormatting.STRIKETHROUGH.toString()
		, UNDERLINE = EnumChatFormatting.UNDERLINE.toString()
		, ITALIC = EnumChatFormatting.ITALIC.toString()
		, RESET = EnumChatFormatting.RESET.toString()
		, RESET_TOOLTIP = RESET + GRAY
		;
	}
}